Platforms

Create a new Platform Driver

POST
/platforms/{platformId}/drivers

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

platformId*string
platformId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/platforms/string/drivers" \  -H "Content-Type: application/json" \  -d '{}'
{  "driverId": "string",  "driverNumber": "string",  "address": "string",  "credentials": {    "username": "string"  },  "name": "string",  "priority": 0,  "provider": "string",  "version": 0,  "createTime": "2019-08-24T14:15:22Z",  "updateTime": "2019-08-24T14:15:22Z",  "uuid": "string"}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}